Package org.eclipse.m2m.atl.adt.runner

## Class CreateRunnableJavaWriter

- java.lang.Object
- - org.eclipse.m2m.atl.adt.runner.CreateRunnableJavaWriter

    public class CreateRunnableJavaWriter
    extends java.lang.Object

### Field Summary

Fields
`protected static java.lang.String` `nl`
`java.lang.String` `NL`
`protected java.lang.String` `TEXT_1`
`protected java.lang.String` `TEXT_10`
`protected java.lang.String` `TEXT_11`
`protected java.lang.String` `TEXT_12`
`protected java.lang.String` `TEXT_13`
`protected java.lang.String` `TEXT_14`
`protected java.lang.String` `TEXT_15`
`protected java.lang.String` `TEXT_16`
`protected java.lang.String` `TEXT_17`
`protected java.lang.String` `TEXT_18`
`protected java.lang.String` `TEXT_19`
`protected java.lang.String` `TEXT_2`
`protected java.lang.String` `TEXT_20`
`protected java.lang.String` `TEXT_21`
`protected java.lang.String` `TEXT_22`
`protected java.lang.String` `TEXT_23`
`protected java.lang.String` `TEXT_24`
`protected java.lang.String` `TEXT_25`
`protected java.lang.String` `TEXT_26`
`protected java.lang.String` `TEXT_27`
`protected java.lang.String` `TEXT_28`
`protected java.lang.String` `TEXT_29`
`protected java.lang.String` `TEXT_3`
`protected java.lang.String` `TEXT_30`
`protected java.lang.String` `TEXT_31`
`protected java.lang.String` `TEXT_32`
`protected java.lang.String` `TEXT_33`
`protected java.lang.String` `TEXT_34`
`protected java.lang.String` `TEXT_35`
`protected java.lang.String` `TEXT_36`
`protected java.lang.String` `TEXT_37`
`protected java.lang.String` `TEXT_38`
`protected java.lang.String` `TEXT_39`
`protected java.lang.String` `TEXT_4`
`protected java.lang.String` `TEXT_40`
`protected java.lang.String` `TEXT_41`
`protected java.lang.String` `TEXT_42`
`protected java.lang.String` `TEXT_43`
`protected java.lang.String` `TEXT_44`
`protected java.lang.String` `TEXT_45`
`protected java.lang.String` `TEXT_46`
`protected java.lang.String` `TEXT_47`
`protected java.lang.String` `TEXT_48`
`protected java.lang.String` `TEXT_49`
`protected java.lang.String` `TEXT_5`
`protected java.lang.String` `TEXT_50`
`protected java.lang.String` `TEXT_51`
`protected java.lang.String` `TEXT_52`
`protected java.lang.String` `TEXT_53`
`protected java.lang.String` `TEXT_54`
`protected java.lang.String` `TEXT_55`
`protected java.lang.String` `TEXT_56`
`protected java.lang.String` `TEXT_57`
`protected java.lang.String` `TEXT_58`
`protected java.lang.String` `TEXT_59`
`protected java.lang.String` `TEXT_6`
`protected java.lang.String` `TEXT_60`
`protected java.lang.String` `TEXT_61`
`protected java.lang.String` `TEXT_62`
`protected java.lang.String` `TEXT_63`
`protected java.lang.String` `TEXT_64`
`protected java.lang.String` `TEXT_65`
`protected java.lang.String` `TEXT_66`
`protected java.lang.String` `TEXT_67`
`protected java.lang.String` `TEXT_68`
`protected java.lang.String` `TEXT_69`
`protected java.lang.String` `TEXT_7`
`protected java.lang.String` `TEXT_70`
`protected java.lang.String` `TEXT_71`
`protected java.lang.String` `TEXT_72`
`protected java.lang.String` `TEXT_73`
`protected java.lang.String` `TEXT_74`
`protected java.lang.String` `TEXT_75`
`protected java.lang.String` `TEXT_76`
`protected java.lang.String` `TEXT_77`
`protected java.lang.String` `TEXT_78`
`protected java.lang.String` `TEXT_79`
`protected java.lang.String` `TEXT_8`
`protected java.lang.String` `TEXT_80`
`protected java.lang.String` `TEXT_81`
`protected java.lang.String` `TEXT_82`
`protected java.lang.String` `TEXT_83`
`protected java.lang.String` `TEXT_84`
`protected java.lang.String` `TEXT_85`
`protected java.lang.String` `TEXT_86`
`protected java.lang.String` `TEXT_87`
`protected java.lang.String` `TEXT_88`
`protected java.lang.String` `TEXT_89`
`protected java.lang.String` `TEXT_9`

### Constructor Summary

Constructors
`CreateRunnableJavaWriter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CreateRunnableJavaWriter` `create​(java.lang.String lineSeparator)`
`java.lang.String` `generate​(java.lang.Object argument)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nl

    protected static java.lang.String nl

#### NL

    public final java.lang.String NL

#### TEXT_1

    protected final java.lang.String TEXT_1

#### TEXT_2

    protected final java.lang.String TEXT_2

#### TEXT_3

    protected final java.lang.String TEXT_3

#### TEXT_4

    protected final java.lang.String TEXT_4

#### TEXT_5

    protected final java.lang.String TEXT_5

#### TEXT_6

    protected final java.lang.String TEXT_6

#### TEXT_7

    protected final java.lang.String TEXT_7

#### TEXT_8

    protected final java.lang.String TEXT_8

#### TEXT_9

    protected final java.lang.String TEXT_9

#### TEXT_10

    protected final java.lang.String TEXT_10

#### TEXT_11

    protected final java.lang.String TEXT_11

#### TEXT_12

    protected final java.lang.String TEXT_12

#### TEXT_13

    protected final java.lang.String TEXT_13

#### TEXT_14

    protected final java.lang.String TEXT_14

#### TEXT_15

    protected final java.lang.String TEXT_15

#### TEXT_16

    protected final java.lang.String TEXT_16

#### TEXT_17

    protected final java.lang.String TEXT_17

#### TEXT_18

    protected final java.lang.String TEXT_18

#### TEXT_19

    protected final java.lang.String TEXT_19

#### TEXT_20

    protected final java.lang.String TEXT_20

See Also:
  Constant Field Values

#### TEXT_21

    protected final java.lang.String TEXT_21

See Also:
  Constant Field Values

#### TEXT_22

    protected final java.lang.String TEXT_22

#### TEXT_23

    protected final java.lang.String TEXT_23

#### TEXT_24

    protected final java.lang.String TEXT_24

See Also:
  Constant Field Values

#### TEXT_25

    protected final java.lang.String TEXT_25

#### TEXT_26

    protected final java.lang.String TEXT_26

See Also:
  Constant Field Values

#### TEXT_27

    protected final java.lang.String TEXT_27

See Also:
  Constant Field Values

#### TEXT_28

    protected final java.lang.String TEXT_28

See Also:
  Constant Field Values

#### TEXT_29

    protected final java.lang.String TEXT_29

#### TEXT_30

    protected final java.lang.String TEXT_30

See Also:
  Constant Field Values

#### TEXT_31

    protected final java.lang.String TEXT_31

#### TEXT_32

    protected final java.lang.String TEXT_32

See Also:
  Constant Field Values

#### TEXT_33

    protected final java.lang.String TEXT_33

#### TEXT_34

    protected final java.lang.String TEXT_34

#### TEXT_35

    protected final java.lang.String TEXT_35

#### TEXT_36

    protected final java.lang.String TEXT_36

See Also:
  Constant Field Values

#### TEXT_37

    protected final java.lang.String TEXT_37

#### TEXT_38

    protected final java.lang.String TEXT_38

#### TEXT_39

    protected final java.lang.String TEXT_39

See Also:
  Constant Field Values

#### TEXT_40

    protected final java.lang.String TEXT_40

#### TEXT_41

    protected final java.lang.String TEXT_41

See Also:
  Constant Field Values

#### TEXT_42

    protected final java.lang.String TEXT_42

See Also:
  Constant Field Values

#### TEXT_43

    protected final java.lang.String TEXT_43

#### TEXT_44

    protected final java.lang.String TEXT_44

#### TEXT_45

    protected final java.lang.String TEXT_45

#### TEXT_46

    protected final java.lang.String TEXT_46

#### TEXT_47

    protected final java.lang.String TEXT_47

#### TEXT_48

    protected final java.lang.String TEXT_48

See Also:
  Constant Field Values

#### TEXT_49

    protected final java.lang.String TEXT_49

#### TEXT_50

    protected final java.lang.String TEXT_50

See Also:
  Constant Field Values

#### TEXT_51

    protected final java.lang.String TEXT_51

See Also:
  Constant Field Values

#### TEXT_52

    protected final java.lang.String TEXT_52

#### TEXT_53

    protected final java.lang.String TEXT_53

#### TEXT_54

    protected final java.lang.String TEXT_54

See Also:
  Constant Field Values

#### TEXT_55

    protected final java.lang.String TEXT_55

#### TEXT_56

    protected final java.lang.String TEXT_56

#### TEXT_57

    protected final java.lang.String TEXT_57

See Also:
  Constant Field Values

#### TEXT_58

    protected final java.lang.String TEXT_58

See Also:
  Constant Field Values

#### TEXT_59

    protected final java.lang.String TEXT_59

#### TEXT_60

    protected final java.lang.String TEXT_60

See Also:
  Constant Field Values

#### TEXT_61

    protected final java.lang.String TEXT_61

#### TEXT_62

    protected final java.lang.String TEXT_62

See Also:
  Constant Field Values

#### TEXT_63

    protected final java.lang.String TEXT_63

See Also:
  Constant Field Values

#### TEXT_64

    protected final java.lang.String TEXT_64

See Also:
  Constant Field Values

#### TEXT_65

    protected final java.lang.String TEXT_65

#### TEXT_66

    protected final java.lang.String TEXT_66

#### TEXT_67

    protected final java.lang.String TEXT_67

#### TEXT_68

    protected final java.lang.String TEXT_68

#### TEXT_69

    protected final java.lang.String TEXT_69

#### TEXT_70

    protected final java.lang.String TEXT_70

#### TEXT_71

    protected final java.lang.String TEXT_71

#### TEXT_72

    protected final java.lang.String TEXT_72

#### TEXT_73

    protected final java.lang.String TEXT_73

See Also:
  Constant Field Values

#### TEXT_74

    protected final java.lang.String TEXT_74

See Also:
  Constant Field Values

#### TEXT_75

    protected final java.lang.String TEXT_75

See Also:
  Constant Field Values

#### TEXT_76

    protected final java.lang.String TEXT_76

#### TEXT_77

    protected final java.lang.String TEXT_77

#### TEXT_78

    protected final java.lang.String TEXT_78

#### TEXT_79

    protected final java.lang.String TEXT_79

#### TEXT_80

    protected final java.lang.String TEXT_80

See Also:
  Constant Field Values

#### TEXT_81

    protected final java.lang.String TEXT_81

#### TEXT_82

    protected final java.lang.String TEXT_82

#### TEXT_83

    protected final java.lang.String TEXT_83

#### TEXT_84

    protected final java.lang.String TEXT_84

#### TEXT_85

    protected final java.lang.String TEXT_85

#### TEXT_86

    protected final java.lang.String TEXT_86

#### TEXT_87

    protected final java.lang.String TEXT_87

#### TEXT_88

    protected final java.lang.String TEXT_88

#### TEXT_89

    protected final java.lang.String TEXT_89

### Constructor Detail

#### CreateRunnableJavaWriter

    public CreateRunnableJavaWriter()

### Method Detail

#### create

    public static CreateRunnableJavaWriter create​(java.lang.String lineSeparator)

#### generate

    public java.lang.String generate​(java.lang.Object argument)